package com.nokia.financeapi.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class ImportHouseDataDto {
    @Schema(description = "模板id")
    @NotBlank(message = "id不能为空")
    private String id;
    @Schema(description = "账期", example = "2023")
    @NotNull(message = "year不能为空")
    private Integer year;
}
