package com.nokia.financeapi.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class GetBuildingAreaStatVo {
    @Schema(description = "自用面积（万平方米）")
    private BigDecimal areaSelfUse;
    @Schema(description = "出租面积（万平方米）")
    private BigDecimal areaRent;
    @Schema(description = "未利用面积（万平方米）")
    private BigDecimal areaUnused;
    @Schema(description = "综合用房占比")
    private BigDecimal percentSynthesis;
    @Schema(description = "设备用房占比")
    private BigDecimal percentEquipment;
    @Schema(description = "营销用房占比")
    private BigDecimal percentMarketing;
    @Schema(description = "附属用房占比")
    private BigDecimal percentAffiliate;
    @Schema(description = "行政用房占比")
    private BigDecimal percentAdministration;
    @Schema(description = "其他用房占比")
    private BigDecimal percentOther;
    @Schema(description = "自用占比")
    private BigDecimal percentSelfUse;
    @Schema(description = "出租占比")
    private BigDecimal percentRent;
    @Schema(description = "未利用占比")
    private BigDecimal percentUnused;
}
