package com.nokia.financeapi.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class GetLandBuildingStatVo {
    @Schema(description = "地区名称", example = "石家庄")
    private String areaName;
    @Schema(description = "建筑数量", example = "11")
    private Integer buildingCount;
    @Schema(description = "土地数量", example = "22")
    private Integer landCount;
}
